namespace NetinaShop.Domain.Entities.Brands;

public partial class BrandStorageFile : StorageFile
{
    public BrandStorageFile()
    {
        
    }

    public BrandStorageFile(string name, string fileLocation, string fileName, bool isHeader, bool isPrimary, StorageFileType fileType, Guid brandId) :
        base(name, fileLocation, fileName, isHeader, isPrimary, fileType)
    {
        BrandId = brandId;
    }
    public Guid BrandId { get; internal set; }
    public Brand? Brand { get; internal set; }
}